##################################################
# Wrap java and javac execution so we can set the
# CLASSPATH environment variable
#JEXEC=jexec
JEXEC=

JAVA=$(JEXEC) java
JAVAC=$(JEXEC) javac -g

##################################################
# targets:
plan: Plan.class

clean:
	rm *.class


##################################################
# files to be built:
Plan.class Operator.class: \
	Plan.java Operator.java
	$(JAVAC) Plan.java Operator.java
